# Interface AxiosInterceptorOptions

interface AxiosInterceptorOptions {
runWhen ?: (config: InternalAxiosRequestConfig ) => boolean;
synchronous ?: boolean;
}

- Defined in node_modules/axios/index.d.ts:475

##### Index

### Properties

runWhen?
synchronous?

## Properties

### `Optional` runWhen

runWhen?: (config: InternalAxiosRequestConfig ) => boolean

- Defined in node_modules/axios/index.d.ts:477

### `Optional` synchronous

synchronous?: boolean

- Defined in node_modules/axios/index.d.ts:476